Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.metamodel.relational
Interface SimpleValue

All Superinterfaces:
  Value

All Known Implementing Classes:
  AbstractSimpleValue, Column, DerivedValue

    public interface SimpleValue

extends Value

Models a simple, non-compound value.

Nested Class Summary

Nested classes/interfaces inherited from interface org.hibernate.metamodel.relational.Value
`Value.JdbcCodes`

Method Summary
`String` | `getAlias(Dialect dialect)` For any column name, generate an alias that is unique to that column name, unique across tables, and within alias size constraints determined by `Dialect.getMaxAliasLength()`.
`Datatype` | `getDatatype()` Retrieve the datatype of this value.
`void` | `setDatatype(Datatype datatype)` Set the datatype of this value.

Methods inherited from interface org.hibernate.metamodel.relational.Value
`getTable, toLoggableString, validateJdbcTypes`

Method Detail

### getDatatype

    Datatype getDatatype()

  Retrieve the datatype of this value.

  Returns:
    The value's datatype

### setDatatype

    void setDatatype(Datatype datatype)

  Set the datatype of this value.

  Parameters:
    `datatype` - The value's datatype

### getAlias

    String getAlias(Dialect dialect)

  For any column name, generate an alias that is unique to that column name, unique across tables, and within alias size constraints determined by `Dialect.getMaxAliasLength()`.

  Parameters:
    `dialect` - the dialect.
  Returns:
    the alias.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.